package com.example.pmulabs.room.repository

import androidx.paging.PagingData
import com.example.pmulabs.room.models.Article
import kotlinx.coroutines.flow.Flow

interface ArticleRepository {
    suspend fun insertArticle(article: Article)
    suspend fun updateArticle(article: Article)
    suspend fun deleteArticle(article: Article)
    fun getAllArticles(): Flow<List<Article>>
    fun getArticleById(idArticle: Int): Flow<Article>
    fun getArticles(): Flow<PagingData<Article>>
}